#include "Inhibiteur.hpp"

Inhibiteur::Inhibiteur(vector<string> const& inhibition)
{
	if(inhibition.size() == 5)
	{
		float ki   = inhibition[3] == "?" ? CONSTANTE_INCONNUE : stof(inhibition[3]);
		float ic50 = inhibition[4] == "?" ? CONSTANTE_INCONNUE : stof(inhibition[4]);
		
		_ec = inhibition[0];
		_organisme = inhibition[1];
		_nom = inhibition[2];
		_ki = ki;
		_ic50 = ic50;
	}
}

/*
	On regarde si l'inhibiteur n'est pas redondant
	inhi 		l'inhibiteur testé
	vecInhi 	vecteur contenant les inhibiteurs deja rencontré
	
	retourne "true" si inhi est deja dans vecInhi sinon "false"
 */
bool Inhibiteur::inhibiteurConnu(vector<Inhibiteur> const& vecInhi) const
{
	for(size_t i = 0; i < vecInhi.size(); i++)
	{
		if((*this) == vecInhi[i])
		{
			return(true);
		}
	}
	return(false);
}
